# env - 環境変数を表示

## 使用法（SYNOPSIS）

```shell
env [options]
```


## 説明（DESCRIPTION）

現在の環境変数を表示します。

* デフォルトでは、すべてのキーと値のペアを `KEY=VALUE` 形式で表示します；
* オプションで、構文ハイライト付きの JSON として出力可能です。


## オプション（OPTIONS）

* `--json`
  環境変数を色付きの JSON オブジェクトとして出力します。

* `-h, --help`
  このヘルプメッセージを表示します。


## 使用例（EXAMPLES）

すべての環境変数を表示：

```shell
$ env
```

JSON 形式で環境変数を表示：

```shell
$ env --json
```


## 備考（NOTES）

* 環境変数は内部変数ストアから `all_env()` を通じて取得されます；
* JSON 出力は主に可読性やデバッグ用途に適しています。
