# exit - 現在のシェルセッションを終了する

## 使用法（SYNOPSIS）

```shell
exit [code]
```


## 説明（DESCRIPTION）

現在のシェルセッションを終了します。

* 終了コードを指定しない場合は `0` で終了します；
* 数値コードを指定した場合、それがプロセスの終了ステータスとして使用されます。


## 使用例（EXAMPLES）

デフォルトのステータス `0` でシェルを終了：

```shell
$ exit
```

ステータスコード `42` でシェルを終了：

```shell
$ exit 42
```


## 備考（NOTES）

* `0` 以外の終了コードは通常、失敗や異常終了を示すために使用されます；
* 終了コードは、親プロセスやシェルを起動したスクリプトから確認できます；
* 以下の入力も（ユーザーの利便性のため）`exit 0` として解釈されます：

  ```shell
  $ quit
  $ quit()
  $ exit()
  $ Ctrl+D   （EOF／ファイル終端）
  ```
