# cd - 현재 작업 디렉터리 변경

## 사용법

    cd [경로]


## 설명

현재 작업 디렉터리를 변경합니다.

- `cd`  
  사용자의 홈 디렉터리로 이동합니다.

- `cd ~`  
  홈 디렉터리의 단축 표현입니다.

- `cd -`  
  이전 작업 디렉터리로 전환합니다.

- `cd /경로`  
  지정된 절대 경로 또는 상대 경로로 이동합니다.


## 예제

홈 디렉터리로 이동하기.

```shell
$ cd
```

홈 디렉터리 아래 `Projects` 폴더로 이동하기.

```shell
$ cd ~/Projects
```

마지막으로 방문한 디렉터리로 전환하기.

```shell
$ cd -
```

시스템 임시 디렉터리로 이동하기.

```shell
$ cd /tmp
```


## 참고사항

- `cd` 명령어는 `$PWD`와 `$OLDPWD`를 모두 업데이트합니다.
- 물결표 `~` 확장은 현재 사용자의 홈 경로를 사용하여 해석됩니다.
