# date - 현재 날짜와 시간 표시

## 사용법

    date [옵션]


## 설명

다양한 형식으로 현재 시스템 시간을 표시합니다.

- 기본적으로 사람이 읽기 쉬운 형식으로 현지 시간을 표시합니다.
- ISO 8601, UTC, Unix 타임스탬프 형식을 지원합니다.


## 옵션

- `--iso`  
  ISO 8601 형식(`YYYY-MM-DD HH:MM:SS`)으로 시간을 표시합니다.

- `--utc`  
  현지 시간 대신 UTC 시간을 표시합니다.

- `--timestamp`  
  현재 시간을 Unix 타임스탬프(epoch 이후 초)로 출력합니다.

- `-h, --help`  
  이 도움말 메시지를 표시합니다.


## 예제

현지 시스템 시간을 표시합니다(기본 형식).

```shell
$ date
```

ISO 8601 형식으로 시간을 표시합니다.

```shell
$ date --iso
```

기본 형식으로 UTC 시간을 표시합니다.

```shell
$ date --utc
```

현재 Unix 타임스탬프를 표시합니다.

```shell
$ date --timestamp
```


## 참고사항

- 기본 시간 형식은 GNU `date`의 출력과 유사합니다.
- `--utc`와 `--iso`를 함께 사용하면 첫 번째로 일치하는 옵션만 적용됩니다.
