# locale - 현재 셸 언어 표시 또는 변경

## 사용법

    locale [옵션]
    locale [<언어_코드>]


## 설명

셸 인터페이스 언어(로캘)를 표시하거나 업데이트합니다.

- 인수가 제공되지 않으면 현재 `LANG` 설정을 출력합니다.
- 유효한 언어 코드(예: `en`, `zh`, `ja`, `ko`)를 받아 언어를 변경합니다.
- 사용 가능한 모든 언어 나열을 지원합니다.

언어를 변경하면 내부 i18n 시스템과 환경 변수 `LANG`이 모두 업데이트됩니다.


## 옵션

- `--list`, `-l`  
  지원되는 모든 언어 코드를 나열합니다.

- `-h`, `--help`  
  이 도움말 메시지를 표시합니다.


## 예제

현재 셸 언어 표시:

```shell
$ locale
LANG=ko
```

중국어 인터페이스로 전환:

```shell
$ locale zh
LANG set to: zh
```

사용 가능한 언어 나열:

```shell
$ locale --list
Supported languages:
  - en
  - zh
  - ja
  - ko
```


## 참고사항

- 언어 설정은 환경 변수 `PYSH_LANG`을 통해 초기화될 수 있습니다.
- `PYSH_LANG` 또는 `LANG`에 지원되지 않는 코드가 포함되어 있으면 `en`으로 폴백됩니다.
- 이 명령어는 셸 인터페이스에만 영향을 미치며 시스템 전체 로캘에는 영향을 주지 않습니다.
