# machinfo - 상세한 머신 정보 표시

## 사용법

    machinfo [--json] [--short]


## 설명

포괄적인 머신/시스템 정보를 표시합니다.

- 플랫폼, CPU, 메모리, 디스크, GPU 세부 정보를 표시합니다.
- 기본 출력은 아이콘과 서식이 포함된 다중 섹션 리치 레이아웃입니다.
- 간략한 요약 또는 구조화된 JSON 형식을 지원합니다.


## 옵션

- `--json`  
  전체 머신 정보를 형식화된 JSON으로 출력합니다.

- `--short`  
  한 줄로 간략한 요약을 출력합니다.


## 예제

전체 머신 정보를 표시합니다(기본 보기).

```shell
$ machinfo
```

간략한 요약 줄을 출력합니다.

```shell
$ machinfo --short
```

원시 머신 정보를 JSON으로 출력합니다.

```shell
$ machinfo --json
```


## 참고사항

- 이 명령어는 `get_sysinfo()`를 통해 내부 시스템 메타데이터를 수집합니다.
- 필드의 존재와 정확성은 런타임 플랫폼에 따라 다를 수 있습니다.
