# sleep - 지정된 초 동안 실행 일시정지

## 사용법

    sleep 초 [--quiet] [--countdown=TEXT] [--done=TEXT]


## 설명

지정된 초 동안 셸 실행을 일시정지합니다.

- 양의 정수 초를 받습니다.
- 기본적으로 카운트다운 타이머를 표시합니다.
- `--quiet`를 사용하여 카운트다운 출력을 억제합니다.
- `--countdown=TEXT`를 사용하여 카운트다운 메시지를 사용자 정의합니다.
- `--done=TEXT`를 사용하여 대기 완료 후 표시될 메시지를 사용자 정의합니다.


## 옵션

- `--quiet`  
  카운트다운 타이머를 억제하고 조용히 대기합니다.

- `--countdown=TEXT`  
  사용자 정의 카운트다운 메시지를 설정합니다. 남은 초에 대한 플레이스홀더로 `{i}`를 포함할 수 있습니다.

- `--done=TEXT`  
  카운트다운이 끝났을 때 표시할 사용자 정의 메시지를 설정합니다.


## 예제

카운트다운과 함께 3초 동안 대기합니다.

```shell
$ sleep 3
```

출력 없이 5초 동안 대기합니다.

```shell
$ sleep 5 --quiet
```

사용자 정의 카운트다운과 완료 메시지를 사용합니다.

```shell
$ sleep 3 --countdown="⌛ {i}..." --done="✅ 준비 완료!"
```


## 참고사항

- 인수가 누락되었거나 유효한 양의 정수가 아닌 경우 오류가 표시됩니다.
- 카운트다운은 `\r`을 사용하여 줄을 제자리에서 업데이트합니다. 비TTY 환경에서는 출력이 다르게 나타날 수 있습니다.
- `--countdown`의 `{i}`와 같은 플레이스홀더는 남은 초로 대체됩니다.
